osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[jira] [Created] (FLINK-9975) Netty dependency of Hadoop >= 2.7 is not shaded away


Nico Kruber created FLINK-9975:
----------------------------------

             Summary: Netty dependency of Hadoop >= 2.7 is not shaded away
                 Key: FLINK-9975
                 URL: https://issues.apache.org/jira/browse/FLINK-9975
             Project: Flink
          Issue Type: Bug
          Components: Build System
    Affects Versions: 1.5.1, 1.4.2, 1.5.0, 1.6.0
            Reporter: Nico Kruber
            Assignee: Nico Kruber


Previously, in {{flink-shaded-hadoop}}, we also shaded Netty away ({{org.jboss.netty}}) to not conflict with user code. Since Hadoop 2.7 the Netty version they depend on has been upgraded and we missed shading {{io.netty}} away accordingly.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)